/* SLIDER */

.products-wrapper {
    overflow: hidden;
    position: relative;
}

.products-track {
    display: flex;
    transition: transform 0.4s ease;
}

.products-page {
    min-width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(280px, 1fr));
    gap: 0px;
}

.product {
    border: 1px solid #ddd;
    padding: 10px;
    border-radius: 6px;
    background: #fff;
}

.product img {
    width: 100%;
    height: 180px;
    object-fit: cover;
    border-radius: 4px;
    margin-bottom: 10px;
    background: #f5f5f5;
}

.cat-content {
    padding: 2px;
}









/* for pop-app catalog list*/
/* OVERLAY */

.overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.4);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
    z-index: 999;
}

.overlay.active {
    opacity: 1;
    pointer-events: auto;
}

/* DRAWER */

.drawer {
    position: fixed;
    top: 0;
    right: 0;
    width: 60%;
    height: 100%;
    background: #fff;
    box-shadow: -4px 0 15px rgba(0, 0, 0, 0.2);
    transform: translateX(100%);
    transition: transform 0.4s ease;
    display: flex;
    flex-direction: column;
    z-index: 1000;
}

@media (max-width: 900px) {

    .drawer {
        position: fixed;
        top: 0;
        right: 0;
        width: 100%;
        height: 100%;
        background: #fff;
        box-shadow: -4px 0 15px rgba(0, 0, 0, 0.2);
        transform: translateX(100%);
        transition: transform 0.4s ease;
        display: flex;
        flex-direction: column;
        z-index: 1000;
    }

}

.drawer.active {
    transform: translateX(0);
}

.drawer-header {
    display: flex;
    padding: 15px;
    text-align: right;
    border-bottom: 1px solid #eee;
    justify-content: space-between;
    color: #8e8d8d;
    font-style: oblique;
}

.drawer-content {
    flex: 1;
    overflow-y: auto;
    padding: 20px;
}

.drawer-footer {
    padding: 15px;
    border-top: 1px solid #eee;
    text-align: center;
}

.close-btn {
    padding: 8px 16px;
    border: 1px solid #ccc;
    background: #fff;
    border-radius: 4px;
    cursor: pointer;
}

.modalTitle {
    text-align: left;
}

/* MOBILE */

@media (max-width:768px) {
    .drawer {
        width: 100%;
    }
}


/* NAVIGATION */

.nav-container {
    margin-top: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

.nav-btn {
    padding: 12px 24px;
    border: 1px solid #ccc;
    border-radius: 40px;
    cursor: pointer;
    background: #fff;
}

.nav-btn:disabled {
    opacity: 0.4;
    cursor: default;
}

.page-info {
    text-align: center;
}

.progress-bar {
    width: 120px;
    height: 6px;
    background: #cce5ff;
    border-radius: 4px;
    margin-top: 6px;
    overflow: hidden;
}

.progress-fill {
    height: 100%;
    background: #007bff;
    width: 0%;
    transition: width 0.3s ease;
}